{
  "name": "test",
  "version": "1.0.0",
  "private": true,
  "description": "",
  "templateInfo": {
    "name": "default",
    "typescript": true,
    "css": "sass"
  },
  "scripts": {
    "build:weapp": "taro build --type weapp",
    "build:swan": "taro build --type swan",
    "build:alipay": "taro build --type alipay",
    "build:tt": "taro build --type tt",
    "build:h5": "taro build --type h5",
    "build:h5:test": "taro build --type h5 --mode test",
    "build:one": "taro build --type h5 --mode one",
    "build:tow": "taro build --type h5 --mode tow",
    "build:rn": "taro build --type rn",
    "build:qq": "taro build --type qq",
    "build:jd": "taro build --type jd",
    "build:quickapp": "taro build --type quickapp",
    "dev:weapp": "npm run build:weapp -- --watch",
    "dev:swan": "npm run build:swan -- --watch",
    "dev:alipay": "npm run build:alipay -- --watch",
    "dev:tt": "npm run build:tt -- --watch",
    "dev:h5": "npm run build:h5 -- --watch",
    "dev:rn": "npm run build:rn -- --watch",
    "dev:qq": "npm run build:qq -- --watch",
    "dev:jd": "npm run build:jd -- --watch",
    "dev:quickapp": "npm run build:quickapp -- --watch",
    "test": "jest",
    "lint": "eslint --ext .ts,.vue .",
    "lint:fix": "eslint --fix --ext .ts,.vue .",
    "lint:staged": "lint-staged",
    "prepare": "husky install",
    "preview": "vite preview",
    "cz": "cz",
    "lf": "npx prettier --write --end-of-line lf ."
  },
  "browserslist": [
    "last 3 versions",
    "Android >= 4.1",
    "ios >= 8"
  ],
  "lint-staged": {
    "*.{ts,vue}": [
      "eslint --ext .ts,.vue .",
      "npx prettier --write --end-of-line lf ."
    ]
  },
  "config": {
    "commitizen": {
      "path": "node_modules/cz-customizable"
    }
  },
  "author": "",
  "dependencies": {
    "@babel/runtime": "^7.22.11",
    "@sentry/browser": "^7.81.0",
    "@sentry/vue": "^7.81.0",
    "@sentry/webpack-plugin": "^2.10.1",
    "@tarojs/components": "3.6.21",
    "@tarojs/helper": "3.6.21",
    "@tarojs/plugin-framework-vue3": "3.6.21",
    "@tarojs/plugin-platform-alipay": "3.6.21",
    "@tarojs/plugin-platform-h5": "3.6.21",
    "@tarojs/plugin-platform-jd": "3.6.21",
    "@tarojs/plugin-platform-qq": "3.6.21",
    "@tarojs/plugin-platform-swan": "3.6.21",
    "@tarojs/plugin-platform-tt": "3.6.21",
    "@tarojs/plugin-platform-weapp": "3.6.21",
    "@tarojs/runtime": "3.6.21",
    "@tarojs/shared": "3.6.21",
    "@tarojs/taro": "3.6.21",
    "dayjs": "^1.11.10",
    "vue": "^3.3.4"
  },
  "devDependencies": {
    "@babel/core": "^7.22.11",
    "@commitlint/cli": "^18.2.0",
    "@commitlint/config-conventional": "^18.1.0",
    "@tarojs/cli": "3.6.21",
    "@tarojs/taro-loader": "3.6.21",
    "@tarojs/test-utils-vue3": "^0.1.1",
    "@tarojs/webpack5-runner": "3.6.21",
    "@types/jest": "^29.5.4",
    "@types/node": "^20.5.7",
    "@types/webpack-env": "^1.18.1",
    "@typescript-eslint/eslint-plugin": "^6.5.0",
    "@typescript-eslint/parser": "^6.5.0",
    "@vue/babel-plugin-jsx": "^1.1.5",
    "@vue/compiler-sfc": "^3.3.4",
    "babel-preset-taro": "3.6.21",
    "commitizen": "^4.3.0",
    "css-loader": "6.8.1",
    "cz-customizable": "^7.0.0",
    "eslint": "^8.48.0",
    "eslint-config-taro": "3.6.21",
    "eslint-plugin-vue": "^9.17.0",
    "husky": "^8.0.0",
    "jest": "^29.6.4",
    "jest-environment-jsdom": "^29.6.4",
    "lint-staged": "^15.0.2",
    "postcss": "^8.4.29",
    "style-loader": "3.3.3",
    "stylelint": "^15.10.3",
    "ts-node": "^10.9.1",
    "tsconfig-paths-webpack-plugin": "^4.1.0",
    "typescript": "^5.2.2",
    "vue-loader": "^17.2.2",
    "webpack": "5.88.2"
  }
}
